Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface MutableComboBoxModel

All Superinterfaces:
  ComboBoxModel, ListModel

All Known Implementing Classes:
  DefaultComboBoxModel

    public interface MutableComboBoxModel

extends ComboBoxModel

A mutable version of `ComboBoxModel`.

Method Summary
`void` | `addElement(Object obj)` Adds an item at the end of the model.
`void` | `insertElementAt(Object obj, int index)` Adds an item at a specific index.
`void` | `removeElement(Object obj)` Removes an item from the model.
`void` | `removeElementAt(int index)` Removes an item at a specific index.

Methods inherited from interface javax.swing.ComboBoxModel
`getSelectedItem, setSelectedItem`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, getElementAt, getSize, removeListDataListener`

Method Detail

### addElement

    void addElement(Object obj)

  Adds an item at the end of the model. The implementation of this method should notify all registered `ListDataListener`s that the item has been added.

  Parameters:
    `obj` - the `Object` to be added

### removeElement

    void removeElement(Object obj)

  Removes an item from the model. The implementation of this method should should notify all registered `ListDataListener`s that the item has been removed.

  Parameters:
    `obj` - the `Object` to be removed

### insertElementAt

    void insertElementAt(Object obj,
                         int index)

  Adds an item at a specific index. The implementation of this method should notify all registered `ListDataListener`s that the item has been added.

  Parameters:
    `obj` - the `Object` to be added
    `index` - location to add the object

### removeElementAt

    void removeElementAt(int index)

  Removes an item at a specific index. The implementation of this method should notify all registered `ListDataListener`s that the item has been removed.

  Parameters:
    `index` - location of object to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.